Bug 438730 (CVE-2008-1241) - CVE-2008-1241 XUL popup spoofing
Summary: CVE-2008-1241 XUL popup spoofing
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2008-1241
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,source=mozilla,report...
Depends On: 438396 438397 438398 438401 438402 438403 438404 438938 438939
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-24 19:00 UTC by Josh Bressers
Modified: 2019-06-08 12:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-25 08:30:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0207 normal SHIPPED_LIVE Critical: firefox security update 2008-03-27 01:08:19 UTC
Red Hat Product Errata RHSA-2008:0208 normal SHIPPED_LIVE Critical: seamonkey security update 2008-03-27 23:17:00 UTC
Red Hat Product Errata RHSA-2008:0209 normal SHIPPED_LIVE Moderate: thunderbird security update 2008-04-03 14:55:43 UTC

Description Josh Bressers 2008-03-24 19:00:44 UTC
Mozilla contributor Chris Thomas showed that it is possible for a non-selected
tab to create a XUL popup which will be displayed on top of the current tab,
possibly tricking a user into divulging sensitive information.

Comment 1 Josh Bressers 2008-03-24 19:15:22 UTC
This will be mfsa2008-19

Comment 3 Josh Bressers 2008-03-26 01:56:16 UTC
This is now public:
http://www.mozilla.org/security/announce/2008/mfsa2008-19.html

Comment 4 Fedora Update System 2008-03-26 02:15:10 UTC
blam-1.8.3-14.fc8,chmsee-1.0.0-1.30.fc8,devhelp-0.16.1-6.fc8,epiphany-2.20.3-2.fc8,epiphany-extensions-2.20.1-6.fc8,firefox-2.0.0.13-1.fc8,galeon-2.0.4-1.fc8.3,gnome-python2-extras-2.19.1-13.fc8,gnome-web-photo-0.3-9.fc8,gtkmozembedmm-1.4.2.cvs20060817-19.fc8,kazehakase-0.5.3-5.fc8,liferea-1.4.13-2.fc8,Miro-1.1.2-2.fc8,openvrml-0.17.5-4.fc8,ruby-gnome2-0.16.0-21.fc8,yelp-2.20.0-8.fc8 has been submitted as an update for Fedora 8

Comment 5 Fedora Update System 2008-03-26 17:10:00 UTC
chmsee-1.0.0-1.30.fc7, devhelp-0.13-15.fc7, epiphany-2.18.3-8.fc7, epiphany-extensions-2.18.3-8, firefox-2.0.0.13-1.fc7, galeon-2.0.3-16.fc7, gnome-python2-extras-2.14.3-9.fc7, gtkmozembedmm-1.4.2.cvs20060817-16.fc7, kazehakase-0.5.3-5.fc7, liferea-1.4.13-2.fc7, Miro-1.1.2-2.fc7, openvrml-0.16.7-4.fc7, ruby-gnome2-0.16.0-22.fc7, yelp-2.18.1-10.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-03-26 17:12:27 UTC
gnome-python2-extras-2.19.1-13.fc8, ruby-gnome2-0.16.0-21.fc8, epiphany-2.20.3-2.fc8, gtkmozembedmm-1.4.2.cvs20060817-19.fc8, epiphany-extensions-2.20.1-6.fc8, liferea-1.4.13-2.fc8, Miro-1.1.2-2.fc8, yelp-2.20.0-8.fc8, devhelp-0.16.1-6.fc8, galeon-2.0.4-1.fc8.3, gnome-web-photo-0.3-9.fc8, chmsee-1.0.0-1.30.fc8, kazehakase-0.5.3-5.fc8, openvrml-0.17.5-4.fc8, blam-1.8.3-14.fc8, firefox-2.0.0.13-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.